Name:		deja-dup
Version:	16.1.1
Release:	%mkrel 1
Summary:	Simple backup tool and frontend for duplicity

Group:		Archiving/Backup
License:	GPLv3+
URL:		https://launchpad.net/deja-dup
Source0:	http://launchpad.net/%{name}/18/%{version}/+download/%{name}-%{version}.tar.bz2
BuildRequires:	gettext desktop-file-utils intltool scrollkeeper
BuildRequires:	gnome-doc-utils pango-devel cairo-devel vala-devel
BuildRequires:	libtool GConf2 libGConf2-devel glib2-devel libnotify-devel
BuildRequires:	po4a unique-devel nautilus-devel libgnome-keyring-devel
Requires:	duplicity
Requires(post):	scrollkeeper desktop-file-utils 
Requires(postun):	scrollkeeper desktop-file-utils 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Déjà  Dup is a simple backup tool. It hides the complexity of doing backups the
'right way' (encrypted, off-site, and regular) and uses duplicity as the
backend.

Features:
 - Support for local, remote, or cloud backup locations, such as Amazon S3
 - Securely encrypts and compresses your data
 - Incrementally backs up, letting you restore from any particular backup
 - Schedules regular backups
 - Integrates well into your GNOME desktop

%prep
%setup -q

%build
%configure --disable-static --disable-schemas-install 
%make

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot}
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
rm -f %{buildroot}/%{_libdir}/nautilus/extensions-2.0/*.la
rm -rf %{buildroot}/%{_datadir}/icons/Humanity/

%find_lang %{name} --with-gnome

%preun 
%preun_uninstall_gconf_schemas deja-dup 

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_bindir}/deja-*
%{_mandir}/man1/deja-dup.1.xz
%{_mandir}/*/man1/deja-dup.1.xz
%{_mandir}/man1/deja-dup-preferences.1.xz
%{_mandir}/*/man1/deja-dup-preferences.1.xz
%{_sysconfdir}/gconf/schemas/deja-dup.schemas
%{_sysconfdir}/xdg/autostart/deja-dup-monitor.desktop
%{_datadir}/applications/deja-dup-preferences.desktop
%{_libdir}/nautilus/extensions-2.0/libnautilus-deja-dup.so
%dir %{_libdir}/deja-dup
%{_libdir}/deja-dup/deja-dup-monitor
%{_datadir}/applications/deja-dup.desktop
%{_datadir}/icons/hicolor/scalable/actions/deja-dup-backup.svg
%{_datadir}/icons/hicolor/scalable/actions/deja-dup-restore.svg
%{_datadir}/icons/hicolor/scalable/apps/deja-dup.svg
%{_datadir}/icons/hicolor/scalable/apps/deja-dup-symbolic.svg



%changelog
* Fri Mar 18 2011 philippem <philippem> 16.1.1-1.mga1
+ Revision: 74211
- https://launchpad.net/deja-dup/+announcement/7239
- Upstream bug fix release
- This release fixes a bug in that caused help documentation to not be translated

* Mon Mar 14 2011 misc <misc> 16.1-4.mga1
+ Revision: 71399
- use proper mandriva macros
- fix Group

* Thu Feb 24 2011 philippem <philippem> 16.1-3.mga1
+ Revision: 58974
+ rebuild (emptylog)

* Thu Feb 24 2011 philippem <philippem> 16.1-2.mga1
+ Revision: 58961
- clean post and pre

* Thu Feb 24 2011 philippem <philippem> 16.1-1.mga1
+ Revision: 58922
- imported package deja-dup


* Thu Feb 24 2011 Philippe Makowski <makowski.mageia@gmail.com> 16.1-1mga1
- initial import based on Fedora spec

